# -*- coding: utf-8 -*-
from setuphelpers import *
import json

uninstallkey = []

def install():
    package_version = control['version'].split('-')[0]
    for soft in installed_softwares('draw.io'):
#        if Version(soft['version']) < Version(package_version):
        run_notfatal(uninstall_cmd(soft['key']))
        unregister_uninstall(soft['key'])

    run('"draw.io-%s-windows-installer.exe" /S' % package_version)
    killalltasks(control.impacted_process)

    remove_desktop_shortcut('draw.io')

    if not [soft for soft in installed_softwares('draw.io') if Version(soft['version']) >= Version(package_version)]:
        error('Draw.io %s not found' % package_version)

    uninstallkey.extend([soft['key'] for soft in installed_softwares('draw.io') if Version(soft['version']) >= Version(package_version)])


def update_package():

    binaryfile,urlfile  = [(str(p['name']),str(p['browser_download_url'])) for p in json.loads(wgets('https://api.github.com/repos/jgraph/drawio-desktop/releases/latest'))['assets'] if '-installer.exe' in p['name']][0]

    if not isfile(binaryfile):
        wget(urlfile,binaryfile)

    for f in glob.glob('*.exe'):
        if f != binaryfile:
            remove_file(f)

    lastversion = get_file_properties(binaryfile)['ProductVersion']
    print('Last Version %s' % lastversion)
    control.version = lastversion + '-0'
    control.save_control_to_wapt()

